/*
First of all it's 0-based so the index we start out with is 3 (so 4 if counting
from 1). For this calculation I make row 1-based. If you look at the description
of where the triangular numbers are in Pascal's triangle you see the following:

> If you start with row 2 and start with 1, the diagonal contains the triangular
> numbers.

However because of the way the calculation works I have, as I said, made the row
start with 1 so you should read above row 2 as row 3 and the 1 is the first cell
in that row or index 3 (from 0). How do you calculate the next index? Some
starting declarations:

    row = 3
    total = the number of rows
    index = 3

From this point the first index is coloured lightblue. Then there is a loop that
calculates the index until every row has been analysed (see below).

If you look at the way the triangular numbers are in the Pascal's triangle and
you follow each row as above you can see how this works. The only issue of
course is that if the cells are already the colour (background that is) or the
background of the html file itself is already that colour then obviously it
won't show up. But then wouldn't it be cool if there was a Sierpinski triangle
on top of the Pascal's triangle but with the triangular numbers also shown with
a different colour? That's what the files `numbers-sierpinski.css` and
`numbers-sierpinski.html` are. It's certainly possible to change the styles so
that the background is light enough or has a good enough contrast so that rather
than overwrite the Sierpinski cells that happen to be triangular numbers it's
the text colour as well as the background but I've not gone that far. Somehow it
feels appropriate to show how I came up with how to select the triangular
numbers and I've done that in the file `numbers.txt`.
*/
$(function() {
    var index = 3;
    var total = $('div.i').length;
    $("div.j:eq("+index+")").css("backgroundColor", "lightblue");
    for (var row = 3; row < total; )
    {
        ++row;
        index = row + index;
        $("div.j:eq("+index+")").css("backgroundColor", "lightblue");
    }
});

